Bug 1278588 - [abrt] saga: wxEndsWithPathSeparator(): saga_cmd killed by SIGSEGV
[abrt] saga: wxEndsWithPathSeparator(): saga_cmd killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: saga (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fc129ce117eed87c2c6057470af...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 16:42 EST by Stefano Costa
Modified: 2016-12-20 10:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:25:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.42 KB, text/plain)
2015-11-05 16:42 EST, Stefano Costa
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-05 16:42 EST, Stefano Costa
no flags Details
File: core_backtrace (3.85 KB, text/plain)
2015-11-05 16:42 EST, Stefano Costa
no flags Details
File: dso_list (11.63 KB, text/plain)
2015-11-05 16:42 EST, Stefano Costa
no flags Details
File: environ (1.52 KB, text/plain)
2015-11-05 16:42 EST, Stefano Costa
no flags Details
File: exploitable (93 bytes, text/plain)
2015-11-05 16:42 EST, Stefano Costa
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-05 16:42 EST, Stefano Costa
no flags Details
File: maps (53.91 KB, text/plain)
2015-11-05 16:42 EST, Stefano Costa
no flags Details
File: mountinfo (3.27 KB, text/plain)
2015-11-05 16:42 EST, Stefano Costa
no flags Details
File: open_fds (133 bytes, text/plain)
2015-11-05 16:42 EST, Stefano Costa
no flags Details
File: proc_pid_status (1004 bytes, text/plain)
2015-11-05 16:42 EST, Stefano Costa
no flags Details
File: var_log_messages (484 bytes, text/plain)
2015-11-05 16:42 EST, Stefano Costa
no flags Details

  None (edit)
Description Stefano Costa 2015-11-05 16:42:13 EST
Description of problem:
Just started QGIS for the first time after upgrading to Fedora 23.

Version-Release number of selected component:
saga-2.2.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        saga_cmd -v
crash_function: wxEndsWithPathSeparator
executable:     /usr/bin/saga_cmd
global_pid:     3498
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 wxEndsWithPathSeparator at src/common/filefn.cpp:1596
 #1 (anonymous namespace)::DoStatAny at src/common/filename.cpp:343
 #2 (anonymous namespace)::StatAny at src/common/filename.cpp:364
 #3 (anonymous namespace)::wxFileSystemObjectExists at src/common/filename.cpp:721
 #4 wxFileName::FileExists at src/common/filename.cpp:760
 #5 wxFileExists at src/common/filefn.cpp:310
 #6 SG_File_Exists at api_file.cpp:500
 #7 CSG_Table::_Load at table_io.cpp:79
 #8 CSG_Table::Create at table.cpp:172
 #9 CSG_Projections::_Set_Dictionary at projections.cpp:1828
Comment 1 Stefano Costa 2015-11-05 16:42:18 EST
Created attachment 1090384 [details]
File: backtrace
Comment 2 Stefano Costa 2015-11-05 16:42:20 EST
Created attachment 1090385 [details]
File: cgroup
Comment 3 Stefano Costa 2015-11-05 16:42:21 EST
Created attachment 1090386 [details]
File: core_backtrace
Comment 4 Stefano Costa 2015-11-05 16:42:23 EST
Created attachment 1090387 [details]
File: dso_list
Comment 5 Stefano Costa 2015-11-05 16:42:24 EST
Created attachment 1090388 [details]
File: environ
Comment 6 Stefano Costa 2015-11-05 16:42:26 EST
Created attachment 1090389 [details]
File: exploitable
Comment 7 Stefano Costa 2015-11-05 16:42:27 EST
Created attachment 1090390 [details]
File: limits
Comment 8 Stefano Costa 2015-11-05 16:42:30 EST
Created attachment 1090391 [details]
File: maps
Comment 9 Stefano Costa 2015-11-05 16:42:31 EST
Created attachment 1090392 [details]
File: mountinfo
Comment 10 Stefano Costa 2015-11-05 16:42:33 EST
Created attachment 1090393 [details]
File: open_fds
Comment 11 Stefano Costa 2015-11-05 16:42:34 EST
Created attachment 1090394 [details]
File: proc_pid_status
Comment 12 Stefano Costa 2015-11-05 16:42:35 EST
Created attachment 1090395 [details]
File: var_log_messages
Comment 13 Volker Fröhlich 2015-11-13 08:16:48 EST
Can you try with Saga 2.2.2-1 from the testing repo?
Comment 14 Fedora End Of Life 2016-11-24 08:07:03 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:25:44 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.